# @file n4.py
# @author Kristin Linn
# @date 2-8-16
# @brief This is the first step in the preprocessing pipeline for the ADNI data.

import os, sys, re 
from nipype.interfaces.ants import N4BiasFieldCorrection

# Array ID determines which subject to preprocess
jobInd = int(sys.argv[1])
if len(str(jobInd))==3:
    jobInd = '0'+str(jobInd)
if len(str(jobInd))==2:
    jobInd = '00'+str(jobInd)

# Directory addresses
rootdir = str(sys.argv[2])
atlasdir = rootdir+'atlases/'+jobInd+'/'

###############################
# Preprocess the T1 Atlas
###############################
fName = jobInd+'_MPRAGE.nii.gz'
atlas = atlasdir+fName
n4T1 = N4BiasFieldCorrection()
n4T1.inputs.input_image = atlas
n4T1.save_bias = True
n4T1.inputs.bias_image = atlasdir+'Bias_T1.nii.gz'
n4T1.inputs.output_image = atlasdir+'N4_T1.nii.gz'
n4T1.run()

