# @file tissueSegmentation.R
# @author Kristin Linn
# @date 8-14-18
# @brief Get FAST tissue class segmentation for each image

library (parallel)
library (methods)
library(neurobase)
library(fslr)

# Run subjects in parallel
args = commandArgs(trailingOnly=TRUE)
jobInd = as.numeric(args[1])

# Directories
rootdir = '/project/hippocampus_segmentation'
atlasdir = file.path(rootdir, 'atlases')
opdir = file.path(rootdir, 'output')

# NOTE: We will use the $LSB_JOBINDEX atlas as our target
atlases = list.files(atlasdir)
targetT1 = readnii(file.path(atlasdir, atlases[jobInd], 'PAD_N4_T1_brain.nii.gz'))
segT1 = fast(targetT1) # Gray matter is 2

writenii(segT1, filename=file.path(opdir, atlases[jobInd], 'FAST_T1'))


####################################
if (FALSE){
> sessionInfo()
R version 3.2.5 (2016-04-14)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: CentOS Linux 7 (Core)

locale:
 [1] LC_CTYPE=en_US.UTF-8       LC_NUMERIC=C              
 [3] LC_TIME=en_US.UTF-8        LC_COLLATE=en_US.UTF-8    
 [5] LC_MONETARY=en_US.UTF-8    LC_MESSAGES=en_US.UTF-8   
 [7] LC_PAPER=en_US.UTF-8       LC_NAME=C                 
 [9] LC_ADDRESS=C               LC_TELEPHONE=C            
[11] LC_MEASUREMENT=en_US.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
[1] parallel  stats     graphics  grDevices utils     datasets  methods  
[8] base     

other attached packages:
[1] fslr_2.22.0      neurobase_1.19.1 oro.nifti_0.9.1 

loaded via a namespace (and not attached):
 [1] tools_3.2.5        abind_1.4-5        Rcpp_0.12.14       R.methodsS3_1.7.1 
 [5] splines_3.2.5      RNifti_0.7.1       R.utils_2.7.0      matrixStats_0.52.2
 [9] bitops_1.0-6       R.oo_1.22.0    
	
}

