#!/bin/bash

dir=/project/hippocampus_segmentation
atlast1s=`find /project/hippocampus_segmentation/jlf_by_group/t1s_cn/ -name "*.nii.gz"`
targett1s=`find /project/hippocampus_segmentation/jlf_by_group/t1s_ad/ -name "*.nii.gz"`

declare -a atlasids
atlasarray=(`echo $atlast1s | sort -r | head -1`)
for i in {0..5}
do 
atlasids[$i]=`echo ${atlasarray[$i]} | cut -d '/' -f 7 | cut -d '.' -f 1 | cut -d '_' -f -1`
done

declare -a targetids
targetarray=(`echo $targett1s | sort -r | head -1`)
for i in {0..5}
do
targetids[$i]=`echo ${targetarray[$i]} | cut -d '/' -f 7 | cut -d '.' -f 1 | cut -d '_' -f -1`
done

let "j=$LSB_JOBINDEX-1"

target=${targetids[$j]}

declare -a atlas
declare -a segs

for i in {0..5}
do
atlas[$i]=$dir/output/$target/WS\_${atlasids[i]}*.nii.gz
segs[$i]=$dir/output/$target/${atlasids[i]}*BOTH.nii.gz
done

antsJointFusion -t $dir/jlf_by_group/atlases_ad/$target/WS\_PAD\_N4\_T1.nii.gz -g ${atlas[*]} -l ${segs[*]} -o $dir/jlf_by_group/jlf_cn_to_ad/$target\_jlf\_segmentation.nii.gz -v 0

