##########################################
##########################################
Pre-Processing steps for ADNI data: 
    Main Requirements: R, MASS, python (optional)
##########################################
##########################################

The script "\_preprocess\_wrapper.sh" provides commands to run the following image pre-processing scripts on an LSF grid engine. The commands can be adapted to other cluster or local computing environments. 

In addition to the R libraries listed for many steps below, the `methods` and `parallel` libraries were used to run the scripts in parallel using either `mclapply` or batch jobs. Finally, at the bottom of each R script listed below, the output of a call to sessionInfo() is provided which gives the versions of libraries that were used to pre-process the images used in the paper.

1. 1_n4.py - N4 bias field correction
    - Requirements: python (Note N4 correction is available in R using the extrantsr library)
    - Python libraries: os, sys, re, nipype
    - Other requirements: ANTs

2. 2_runMass.sh - Brain extraction
    - Requirements: MASS (http://www.med.upenn.edu/sbia/mass.html)

3. 3_pad.R - Pad images to ensure same field of view
    - Requirements: FSL
    - R libraries: fslr, neurobase

4. 4_registration.R - Non-linear registration of atlases to target
    - Requirements: ANTs
    - R libraries: ANTsR, extrantsr

5. 5_whiteStripe.R - White Stripe normalization
    - R libraries: neurobase, WhiteStripe

6. 6_tissueSegmentation.R - 3 class tissue segmentation
    - R libraries: neurobase, fslr

##########################################
##########################################
Analysis steps for ADNI data: 
    Main Requirements: R, ANTs
##########################################
##########################################

7. 7_jlf_cn_to_ad.sh - Bash script for running multi-atlas label fusion using CN subjects as atlases for AD subjects
    - Libraries: ANTs

8. 8_subset_images.R - Reduce the size of the images for statistical modeling steps by subsetting to the largest bounding box that contains all segmentations of the hippocampus for each subject.
    - R libraries: neurobase

