#
# SimulationStudyWrapper.R
#
# This is a wrapper file that executes the necessary scripts for reproducing
# the results in Section 3 (Numerical Studies) of the manuscript
#
################################################################################

rm(list= ls())

# Subsection 3.1 - The Case of Quality Atlases

# Simualte the data
source("GoodSegSimulations.R")

# Setup and run the model using signed distance label (SDL) covariate
source("GoodSeg_SDL_MCMC.R")  # Runtime: ~45 min.

# Setup and run the model using intercept-only (covariate free) model
source("GoodSeg_IntOnly_MCMC.R")  # Runtime: Similar to above

# Summarize the results from each and create figures associated with section 3.1
source("GoodSeg_Images.R")


#######################

# Subsection 3.2 - Using Auxiliary Information

# Simulate the data
source("BadSegSimulations.R")

# Setup and run the model
source("BadSeg_Sim_MCMC.R") # Runtime: ~35 min

# Summarize the results and create the figures associated with section 3.2
source("BadSeg_Images.R")

# Quit
q(save= "no")
